Subject: Allow runtime args  when incoking interactive shell

Description

Now: kamaki -XXX will load kamaki, but also transfer all -XXX args to each command executed inside the shell

Desired: kamaki -XXX will pass there arguments to atomic shell commands in a way that they will be understood by them as runtime args

E.g.: kamaki -d will load a shell where all commands will be executed with a -d argument, therefore they will display their respective 

debug info

Related issues:

related to ./kamaki - Bug # 3736: Shell lost the correct command syntac for 2... Closed 05/15/2013 05/16/2013

Associated revisions

Revision e3c2c890 - 05/13/2013 04:53 pm - Stavros Sachtouris

Allow runtime args when invoking interactive shell

Refs: #3716

Behavior After This:

kamaki -XXX -YY ... parses -XXX -YY

If not recognized: syntax error

If recognized, group them into shell args (e.g. -h) and command args (e.g. -d)

Whenever a command is run in this shell instance, apply the command args

Practically, users may pass the -d or -v args to the shell and enjoy streaming

debug or verbosity logs, without having to pass -d or -v args on each command

History

#1 - 05/13/2013 05:07 pm - Stavros Sachtouris

- Status changed from New to Resolved

- % Done changed from 0 to 100

Implemented as described.

Just to clarify: if an argument is not a legal global argument, kamaki will fail. E.g. kamaki -INVALIDARG will return a usage message

#2 - 05/15/2013 06:05 pm - Stavros Sachtouris

- Status changed from Resolved to Closed

- Estimated time set to 3.00
